/*  */
function mode_feedpage_change(path, sval, mode, act, ERI, rpstr, ldiv, mtype, mutp) {
	loading_create('Y');
	var mdir = '',perm = '',
		url = path+'core/cw5e_engine_detail.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&act='+act+'&ERI='+ERI+
			  '&num='+(($('#result_num_'+mtype).length > 0) ? $('#result_num_'+mtype).val() : '0');
	switch (mutp) {
		case 'R': mdir = 'manage'; break;
		case 'B':
		default: mdir = 'modules'; break;
	}
	var nmary = ['exec','qwe','sor','itms'];
	rpstr = rpstr.split(',');
	for (var i = 0; i < nmary.length; i++) {
		if ((rpstr[i]) && $('#'+rpstr[i]+mtype).length > 0) {
			if (perm != '') perm += '&';
			perm += nmary[i]+'='+EncodeURLutf8($('#'+rpstr[i]+mtype).val());
		}
	}
	$.post(url, perm, function(msg) {
		// console.log(msg);
		var ret_msg = JSON.parse(msg);
		if (ret_msg[0].result == 'false') {
			alert(ret_msg[0].message);
			loading_close('');
			return false;
		} else {
			if (ret_msg[0].rnum) $('#result_num_'+mtype).val(ret_msg[0].rnum);
			if (ret_msg[0].ERI) post_redirect(ldiv, perm, path+mdir+'/'+mode+'/detail.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&mutp='+mutp+'&act=view&ERI='+ret_msg[0].ERI);
		}
	});
}